Skip to main content
PUT
/
mcp-integrations
/
{mcpIntegrationId}
Update MCP Integration
curl --request PUT \
  --url https://api.portkey.ai/v1/mcp-integrations/{mcpIntegrationId} \
  --header 'Content-Type: application/json' \
  --header 'x-portkey-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "configurations": {
    "custom_headers": {
      "Authorization": "Bearer some-token",
      "x-foo": "bar"
    },
    "passthrough_header": {
      "x-user-id": {
        "type": "string",
        "example": "abc123"
      },
      "x-request-id": {
        "type": "string",
        "example": "req-0001"
      }
    }
  },
  "url": "<string>",
  "secret_mappings": [
    {
      "target_field": "key",
      "secret_reference_id": "my-aws-secret",
      "secret_key": "<string>",
      "value_format": "json"
    }
  ]
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.portkey.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

mcpIntegrationId
string
required

MCP Integration ID (UUID) or slug

Body

application/json
name
string
description
string | null
configurations
object

Auth/config key-value pairs (e.g. headers, client credentials)

url
string<uri>
auth_type
enum<string>
Available options:
oauth_auto,
headers,
none
transport
enum<string>
Available options:
http,
sse
secret_mappings
object[]

Dynamically resolve secrets from secret references at runtime. Valid target_field values are "configurations." (e.g. "configurations.oauth_metadata"). Each target_field must be unique.

Response

200 - application/json

OK

The response is of type object.

Last modified on May 20, 2026